/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2011 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * UnsignedIntQtQueryPipe.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "UIElements/Qt4/Pipe/UnsignedIntQtQueryPipe.hpp"
#include "UIElements/Qt4/QtDialog.hpp"

#include "CodePatterns/MemDebug.hpp"


UnsignedIntQtQueryPipe::UnsignedIntQtQueryPipe(unsigned int *_content, QtDialog *_dialog) :
  content(_content),
  dialog(_dialog)
{}

UnsignedIntQtQueryPipe::~UnsignedIntQtQueryPipe()
{}

void UnsignedIntQtQueryPipe::update(unsigned int newUnsignedInt) {
  (*content) = newUnsignedInt;
  dialog->update();
}

